MacOS Monterey 12.3 CAVE Compatibility Issue

Update: While we were able to install Python2, we were unable to successfully get MacOS 12.3 to recognize all of the required Python2 packages with CAVE. If any of our users is able to successfully configure a MacOS 12.3 machine to work with CAVE, please let us know so we can add the information to our installation page. Thank you.

Update: We are looking into a potential fix to allow Python2 to run on MacOS 12.3

We have recently learned of a new restriction when upgrading MacOS to Monterey version 12.3 that negatively impacts CAVE. The latest version of MacOS (and those going forward, we assume) no longer supports Python2. At this time, our Mac version of CAVE still uses Python2.7. Because of this, when running CAVE on the latest version of Monterey, a number of visualization features will no longer work (including Wind Vectors).

At this time, we will not be making a Python3 CAVE release. Our next major release of CAVE (v. 20) will be fully supported on Python3, but it won't be released for some time.

If you are running the latest version of MacOS and want to run CAVE, a potential work around is to run a Virtual Machine (using VirtualBox or some other software) and install a different OS (either an earlier version of MacOS or CentOS7) and run CAVE within that.

We are sorry for the trouble this causes anyone, and will be sure to notify our users when we release AWIPS v. 20 which should not have this same issue.

Thank you for your understanding.

For AWIPS support contact: support-awips@unidata.ucar.edu

Comments:

Post a Comment:
  • HTML Syntax: Allowed
News@Unidata
News and information from the Unidata Program Center
News@Unidata
News and information from the Unidata Program Center

Welcome

FAQs

Developers’ blog

Recent Entries:
Take a poll!

What if we had an ongoing user poll in here?

Browse By Topic
Browse by Topic
« July 2022
SunMonTueWedThuFriSat
     
2
3
4
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
      
Today